ArenaHistory.TeamSort = {}
local TeamSort = ArenaHistory.TeamSort

local function cmp(player1, player2)
  local spec1 = player1.spec_id
  local spec2 = player2.spec_id
  if spec1 == nil and spec2 == nil then
    return false
  end
  if spec1 == nil then
    return false
  end
  if spec2 == nil then
    return true
  end
  if spec1 == spec2 then
    return false
  end
  local role1 = select(6, GetSpecializationInfoByID(spec1))
  local role2 = select(6, GetSpecializationInfoByID(spec2))
  local isHealer1 = role1 ~= nil and role1:lower() == "healer"
  local isHealer2 = role2 ~= nil and role2:lower() == "healer"
  if isHealer1  ~= isHealer2 then
    return isHealer2 or not isHealer1
  end
  return spec1 > spec2
end

function TeamSort.sort(team)
  table.sort(team, cmp)
end
